PGASetFitnessCmaxValue(1)

NAME
PGASetFitnessCmaxValue - The value of the multiplier used by PGAFitnessMinCmax so that the worst string has a nonzero fitness.

DESCRIPTION
The default value is 1.01.

INPUT PARAMETERS
ctx - context variable
val - the value of the multiplier

OUTPUT PARAMETERS
none

SYNOPSIS
#include "pgapack.h"
void  PGASetFitnessCmaxValue(ctx, val)
PGAContext *ctx
double val

LOCATION
fitness.c

EXAMPLE
Example:
PGAContext *ctx;
:
PGASetFitnessCmaxValue(ctx, 1.2);